# Niphredil

## Steps to build

* Install Conan>=2
```
conda install -c conda-forge conan
```
* Create a conan profile
```
conan profile detect --force
```
* To build the code locally:
    * Install dependencies with conan
    ```
    conan install . --build=missing
    ```
    or for the debug version:
    ```
    conan install . --build=missing --profile=debug
    ```
    * Build with meson
    ```
    cd build-release ; conan build .. ; cd ..
    ```
    or for the debug version:
    ```
    cd build-debug ; conan build .. --profile=debug ; cd ..
    ```
* Run the test executable:
    ```
    ./meson/niphredil
    ```
